Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: mysql-5.5.1_alpha_pre2.ebuild ChangeLog
Date: Tue, 02 Feb 2010 22:04:18
Message-Id: E1NcQqp-0007AY-0s@stork.gentoo.org
1 robbat2 10/02/02 22:04:03
2
3 Modified: ChangeLog
4 Added: mysql-5.5.1_alpha_pre2.ebuild
5 Log:
6 Add mysql 5.5.1-m2, we don't support the same version syntax, so mangle _alpha_pre -> -m, because _alpha on it's own means something else upstream. -m comes BEFORE _alpha.
7 (Portage version: 2.2_rc61/cvs/Linux x86_64)
8
9 Revision Changes Path
10 1.506 dev-db/mysql/ChangeLog
11
12 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.506&view=markup
13 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.506&content-type=text/plain
14 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.505&r2=1.506
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
19 retrieving revision 1.505
20 retrieving revision 1.506
21 diff -p -w -b -B -u -u -r1.505 -r1.506
22 --- ChangeLog 2 Feb 2010 05:57:48 -0000 1.505
23 +++ ChangeLog 2 Feb 2010 22:04:02 -0000 1.506
24 @@ -1,6 +1,14 @@
25 # ChangeLog for dev-db/mysql
26 # Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.505 2010/02/02 05:57:48 robbat2 Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.506 2010/02/02 22:04:02 robbat2 Exp $
29 +
30 +*mysql-5.5.1_alpha_pre2 (02 Feb 2010)
31 +
32 + 02 Feb 2010; Robin H. Johnson <robbat2@g.o>
33 + +mysql-5.5.1_alpha_pre2.ebuild:
34 + Add mysql 5.5.1-m2, we don't support the same version syntax, so mangle
35 + _alpha_pre -> -m, because _alpha on it's own means something else
36 + upstream. -m comes BEFORE _alpha.
37
38 02 Feb 2010; Robin H. Johnson <robbat2@g.o> metadata.xml:
39 Explicitly note what USE=extraengine turns on: Archive, CSV, Blackhole,
40
41
42
43 1.1 dev-db/mysql/mysql-5.5.1_alpha_pre2.ebuild
44
45 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.5.1_alpha_pre2.ebuild?rev=1.1&view=markup
46 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.5.1_alpha_pre2.ebuild?rev=1.1&content-type=text/plain
47
48 Index: mysql-5.5.1_alpha_pre2.ebuild
49 ===================================================================
50 # Copyright 1999-2010 Gentoo Foundation
51 # Distributed under the terms of the GNU General Public License v2
52 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.5.1_alpha_pre2.ebuild,v 1.1 2010/02/02 22:04:02 robbat2 Exp $
53
54 MY_EXTRAS_VER="20100201-0104Z"
55 EAPI=2
56 MY_PV="${PV//_alpha_pre/-m}"
57 MY_PV="${MY_PV//_/-}"
58
59 inherit toolchain-funcs mysql
60 # only to make repoman happy. it is really set in the eclass
61 IUSE="$IUSE"
62
63 # Define the mysql-extras source
64 EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/mysql-extras.git"
65
66 # REMEMBER: also update eclass/mysql*.eclass before committing!
67 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
68
69 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
70 EPATCH_EXCLUDE=''
71
72 DEPEND="|| ( >=sys-devel/gcc-4 >=sys-devel/gcc-apple-4 )"
73 RDEPEND="!media-sound/amarok"
74
75 # Please do not add a naive src_unpack to this ebuild
76 # If you want to add a single patch, copy the ebuild to an overlay
77 # and create your own mysql-extras tarball, looking at 000_index.txt
78
79 # Official test instructions:
80 # USE='berkdb cluster embedded extraengine perl ssl community' \
81 # FEATURES='test userpriv -usersandbox' \
82 # ebuild mysql-X.X.XX.ebuild \
83 # digest clean package
84 src_test() {
85 # Bug #213475 - MySQL _will_ object strenously if your machine is named
86 # localhost. Also causes weird failures.
87 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
88
89 emake check || die "make check failed"
90 if ! use "minimal" ; then
91 if [[ $UID -eq 0 ]]; then
92 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
93 fi
94 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
95 cd "${S}"
96 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
97 local retstatus_unit
98 local retstatus_ns
99 local retstatus_ps
100 local t
101 addpredict /this-dir-does-not-exist/t9.MYI
102
103 # Ensure that parallel runs don't die
104 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
105
106 # archive_gis really sucks a lot, but it's only relevant for the
107 # USE=extraengines case
108 case ${PV} in
109 5.0.42)
110 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
111 ;;
112
113 5.0.4[3-9]|5.0.[56]*|5.0.70|5.0.87)
114 [ "$(tc-endian)" == "big" ] && \
115 mysql_disable_test \
116 "archive_gis" \
117 "Broken in 5.0.43-70 and 5.0.87 on big-endian boxes only"
118 ;;
119 esac
120
121 # This was a slight testcase breakage when the read_only security issue
122 # was fixed.
123 case ${PV} in
124 5.0.54|5.0.51*)
125 mysql_disable_test \
126 "read_only" \
127 "Broken in 5.0.51-54, output in wrong order"
128 ;;
129 esac
130
131 # Ditto to read_only
132 [ "${PV}" == "5.0.51a" ] && \
133 mysql_disable_test \
134 "view" \
135 "Broken in 5.0.51, output in wrong order"
136
137 # x86-specific, OOM issue with some subselects on low memory servers
138 [ "${PV}" == "5.0.54" ] && \
139 [ "${ARCH/x86}" != "${ARCH}" ] && \
140 mysql_disable_test \
141 "subselect" \
142 "Testcase needs tuning on x86 for oom condition"
143
144 # Broke with the YaSSL security issue that didn't affect Gentoo.
145 [ "${PV}" == "5.0.56" ] && \
146 for t in openssl_1 rpl_openssl rpl_ssl ssl \
147 ssl_8k_key ssl_compress ssl_connect ; do \
148 mysql_disable_test \
149 "$t" \
150 "OpenSSL tests broken on 5.0.56"
151 done
152
153 # New test was broken in first time
154 # Upstream bug 41066
155 # http://bugs.mysql.com/bug.php?id=41066
156 [ "${PV}" == "5.0.72" ] && \
157 mysql_disable_test \
158 "status2" \
159 "Broken in 5.0.72, new test is broken, upstream bug #41066"
160
161 # The entire 5.0 series has pre-generated SSL certificates, they have
162 # mostly expired now. ${S}/mysql-tests/std-data/*.pem
163 # The certs really SHOULD be generated for the tests, so that they are
164 # not expiring like this. We cannot do so ourselves as the tests look
165 # closely as the cert path data, and we do not have the CA key to regen
166 # ourselves. Alternatively, upstream should generate them with at least
167 # 50-year validity.
168 #
169 # Known expiry points:
170 # 4.1.*, 5.0.0-5.0.22, 5.1.7: Expires 2013/09/09
171 # 5.0.23-5.0.77, 5.1.7-5.1.22?: Expires 2009/01/27
172 # 5.0.78-5.0.90, 5.1.??-5.1.42: Expires 2010/01/28
173 #
174 # mysql-test/std_data/untrusted-cacert.pem is MEANT to be
175 # expired/invalid.
176 case ${PV} in
177 5.0.*|5.1.*|5.4.*|5.5.*)
178 for t in openssl_1 rpl_openssl rpl.rpl_ssl rpl.rpl_ssl1 ssl ssl_8k_key \
179 ssl_compress ssl_connect rpl.rpl_heartbeat_ssl ; do \
180 mysql_disable_test \
181 "$t" \
182 "These OpenSSL tests break due to expired certificates"
183 done
184 ;;
185 esac
186
187 # These are also failing in MySQL 5.1 for now, and are believed to be
188 # false positives:
189 #
190 # main.mysql_comment, main.mysql_upgrade, main.information_schema,
191 # funcs_1.is_columns_mysql funcs_1.is_tables_mysql funcs_1.is_triggers:
192 # fails due to USE=-latin1 / utf8 default
193 #
194 # main.mysql_client_test:
195 # segfaults at random under Portage only, suspect resource limits.
196 #
197 # main.not_partition:
198 # Failure reason unknown at this time, must resolve before package.mask
199 # removal FIXME
200 case ${PV} in
201 5.1.*|5.4.*|5.5.*)
202 for t in main.mysql_client_test main.mysql_comments \
203 main.mysql_upgrade \
204 main.information_schema \
205 main.not_partition funcs_1.is_columns_mysql \
206 funcs_1.is_tables_mysql funcs_1.is_triggers; do
207 mysql_disable_test "$t" "False positives in Gentoo"
208 done
209 ;;
210 esac
211
212 # create directories because mysqladmin might right out of order
213 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
214
215 # We run the test protocols seperately
216 make -j1 test-unit
217 retstatus_unit=$?
218 [[ $retstatus_unit -eq 0 ]] || eerror "test-unit failed"
219
220 make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
221 retstatus_ns=$?
222 [[ $retstatus_ns -eq 0 ]] || eerror "test-ns failed"
223 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
224
225 make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
226 retstatus_ps=$?
227 [[ $retstatus_ps -eq 0 ]] || eerror "test-ps failed"
228 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
229
230 # TODO:
231 # When upstream enables the pr and nr testsuites, we need those as well.
232
233 # Cleanup is important for these testcases.
234 pkill -9 -f "${S}/ndb" 2>/dev/null
235 pkill -9 -f "${S}/sql" 2>/dev/null
236 failures=""
237 [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
238 [[ $retstatus_ns -eq 0 ]] || failures="${failures} test-ns"
239 [[ $retstatus_ps -eq 0 ]] || failures="${failures} test-ps"
240 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
241 [[ -z "$failures" ]] || die "Test failures: $failures"
242 einfo "Tests successfully completed"
243 else
244 einfo "Skipping server tests due to minimal build."
245 fi
246 }